Subject: bug#17589: 24.3.91; lisp/frameset.el

From: Juanma Barranquero <[email-masked]>
Date: Mon, 26 May 2014 22:42:48 +0200

On Mon, May 26, 2014 at 10:32 PM, Stefan Monnier
<[email-masked]> wrote:

> Saving buffer names is indeed a problem.  I think we should try and
> remember the actual buffer whenever possible (i.e. until we want to
> print the object) and when printing, we should try and print
> a description of the buffer, e.g. its file-name if it's visiting a file

Framesets treat window states (from window-state-get) as opaque
objects. I'm not sure what kind of changes would be required (in the
window state's API, I mean, not framesets) to implement what you
suggest.

Martin?